const kDisplayName = "CardsFr";
const kName = "cards";
const kPackage = "/clav.co.uk/cards";
const kVersion = "0.11.0";

const kJarFile = "cards.jar";
const kContentFolder = "content/cards/";
const kLocaleFolders  = ["locale/fr-FR/cards/"];
const kSkinFolder = ""; // leave blank if not applicable


var kMsg = "Souhaitez-vous installer "+kDisplayName+" dans votre profil?\n\nClic OK pour cela.\n\nClic Annuler pour l'installer globalement.";

initInstall(kName, kPackage, kVersion);

var chromef = getFolder("chrome");
var pchromef = getFolder("Profile", "chrome");


var existsInApp     = File.exists(getFolder(chromef,  kJarFile));
var existsInProfile = File.exists(getFolder(pchromef, kJarFile));

var instToProfile = !existsInApp && (existsInProfile || confirm(kMsg));

var folder = instToProfile ? pchromef : chromef;
var flag = instToProfile ? PROFILE_CHROME : DELAYED_CHROME;

var err = addFile(kPackage, kVersion, kJarFile, folder, null)

if(err == SUCCESS) {
  var jar = getFolder(folder, kJarFile);

  registerChrome(CONTENT | flag, jar, kContentFolder);
  for(var i = 0; i < kLocaleFolders.length; i++)
    registerChrome(LOCALE | flag, jar, kLocaleFolders[i]);
  if(kSkinFolder) registerChrome(SKIN | flag, jar, kSkinFolder);

  err = performInstall();

  if(err!=SUCCESS && err!=999) {
    alert("\u00c9chec de l'installation. Code erreur :" + err);
    cancelInstall(err);
  }
} else {
  alert("Impossible de cr\u00e9er " +kJarFile +"\n"
    +"Vous n'avez probablement pas les droits n\u00e9cessaires \n"
    +"(\u00c9criture dans le dossier chrome). \n"
    +"_____________________________\nCode erreur:" + err);
  cancelInstall(err);
}
